> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abusix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get event



## OpenAPI

````yaml get /beta/guardian-ops/events/{eventId}
openapi: 3.0.1
info:
  title: abusix-api
  version: '2026-04-08T06:45:02Z'
servers:
  - url: https://api.abusix.com
security: []
paths:
  /beta/guardian-ops/events/{eventId}:
    get:
      parameters:
        - name: eventId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Event'
        '400':
          description: 400 response
          content: {}
        '401':
          description: 401 response
          content: {}
        '404':
          description: 404 response
          content: {}
      security:
        - abusix-api-gateway-authorizer-prod: []
components:
  schemas:
    Event:
      required:
        - create_date
        - event_date
        - event_id
        - event_type
        - sender_email
      type: object
      properties:
        case_id:
          type: string
          description: Associated case identifier
        contract_id:
          type: string
          description: Contract identifier
        create_date:
          type: string
          description: Timestamp when the event was created
          format: date-time
        customer_id:
          type: string
          description: Customer identifier
        domain:
          type: string
          description: Domain associated with the event
        event_date:
          type: string
          description: Timestamp of the event
          format: date-time
        event_details:
          type: object
          description: Additional event details
        event_id:
          type: string
          description: Unique event identifier (UUID)
        event_subtypes:
          type: array
          description: Event subtypes
          items:
            type: string
        event_type:
          type: string
          description: Type of event
        ip:
          type: string
          description: IP address associated with the event
        recipient_email:
          type: string
          description: Email of the recipient
          format: email
        resolved:
          type: boolean
          description: Whether the event has been resolved
        sender_email:
          type: string
          description: Email of the report sender
          format: email
        tags:
          type: array
          description: Event tags
          items:
            type: string
        tenant_id:
          type: string
          description: Tenant identifier
        xarf_class:
          type: string
          description: XARF classification
  securitySchemes:
    abusix-api-gateway-authorizer-prod:
      type: http
      scheme: bearer
      bearerFormat: JWT

````